/***
	Copyright (c) 2008 CommonsWare, LLC
	
	Licensed under the Apache License, Version 2.0 (the "License");
	you may not use this file except in compliance with the
	License. You may obtain a copy of the License at
	
		http://www.apache.org/licenses/LICENSE-2.0
		
	Unless required by applicable law or agreed to in writing,
	software distributed under the License is distributed on an "AS
	IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
	express or implied. See the License for the specific language
	governing permissions and limitations under the License.
*/

package com.commonsware.android.intents.consumer;

import android.app.ListActivity;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.IntentReceiver;
import android.os.Bundle;
import android.widget.ArrayAdapter;

public class ConsActivity extends ListActivity {
	protected static final String BUS_MSG=
		new String("com.commonsware.android.intents.BUS_MSG");
	protected static final String BUS_MSG_BODY=
		new String("com.commonsware.android.intents.BUS_MSG_BODY");
	protected final IntentFilter filter=new IntentFilter(BUS_MSG);
	private ConsIntentReceiver receiver=new ConsIntentReceiver();
	private ArrayAdapter adapter;
	
	@Override
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		setContentView(R.layout.main);
		
		adapter=new ArrayAdapter<String>(this,
												android.R.layout.simple_list_item_1);
		setListAdapter(adapter);
		registerReceiver(receiver, filter);
	}
	
	@Override
	public void onDestroy() {
		super.onDestroy();
		unregisterReceiver(receiver);
	}
	
	class ConsIntentReceiver extends IntentReceiver {
		@Override
		public void onReceiveIntent(Context context, Intent intent) {
			adapter.addObject(intent.getStringExtra(BUS_MSG_BODY));
		}
	}
}
